local LD = require("design.LevelDesignLibrary")
local actor = require("narrative.actor")
local ND = require("design.NarrativeDesignLibrary")
local thisObj
local kratosActor = actor.Actor.New("Kratos", game.Player.FindPlayer)
local sonActor = actor.Actor.New("Son", game.AI.FindSon)
local bTheFirstTriptych
function OnScriptLoaded(level, obj)
  thisObj = obj
  InitializeVariables()
  game.SubObject.Sleep(thisObj)
end
function OnFirstStart(level)
end
function OnStart(level)
end
function OnUpdate(level, obj)
end
function OnUseWorld(level, obj)
end
function OnSaveCheckpoint(level, obj)
  local savedInfo = {}
  savedInfo.bTheFirstTriptych = bTheFirstTriptych
  return savedInfo
end
function OnRestoreCheckpoint(level, obj, savedInfo)
  bTheFirstTriptych = savedInfo.bTheFirstTriptych
end
function InitializeVariables()
end
function TheFirstTriptychSeq()
  game.Audio.PlayBanter("TheFirstTriptych_Son")
  bTheFirstTriptych = true
  _G.TriptychRead()
end
function EnableIfNotPlayed()
  if not bTheFirstTriptych then
    GameObjects.Triptych_InteractZone.Child.Enable()
  end
end
